<?php
/*-------------------------------------------------------
*
*   LiveStreet Engine Social Networking
*   Copyright © 2008 Mzhelskiy Maxim
*
*--------------------------------------------------------
*
*   Official site: www.livestreet.ru
*   Contact e-mail: rus.engine@gmail.com
*
*   GNU General Public License, version 2:
*   http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
*
---------------------------------------------------------
*/

class PluginTeams_TeamsEntity_Teams extends Entity 
{    
    public function getId() {
        return $this->_aData['team_id'];
    }  
    public function getOwnerId() {
        return $this->_aData['user_owner_id'];
    }
    public function getTitle() {
        return $this->_aData['team_title'];
    }
    public function getDescription() {
        return $this->_aData['team_description'];
    }
    public function getDateAdd() {
        return $this->_aData['team_data_add'];
    }
    public function getDateEdit() {
        return $this->_aData['team_data_edit'];
    }
	public function getCountUser() {
        return $this->_aData['team_count_user'];
    }
	public function getUrl() {
        return $this->_aData['team_url'];
    }
    public function getAvatar() {
        return $this->_aData['team_avatar'];
    }
    public function getAvatarType() {
          return ($sPath=$this->getAvatarPath()) ? pathinfo($sPath,PATHINFO_EXTENSION) : null;
    }
    
    public function getOwner() {
        return $this->_aData['owner'];
    }    
    public function getAvatarPath($iSize=48) {   
    	if ($sPath=$this->getAvatar()) { 	
        	return str_replace('_48x48',(($iSize==0)?"":"_{$iSize}x{$iSize}"),$sPath);;
    	} else {
    		return Config::Get('path.static.skin').'/images/avatar_team_'.$iSize.'x'.$iSize.'.gif';
    	}
    }
    public function getUserIsJoin() {
        return $this->_aData['user_is_join'];
    }
    public function getUserIsAdministrator() {
        return $this->_aData['user_is_administrator'];
    }
    public function getUserIsModerator() {
        return $this->_aData['user_is_moderator'];
    }
    public function getUrlFull() {
        return Router::GetPath('team').$this->getUrl().'/';
    	
    }
           
    
	public function setId($data) {
        $this->_aData['team_id']=$data;
    }
    public function setOwnerId($data) {
        $this->_aData['user_owner_id']=$data;
    }
    public function setTitle($data) {
        $this->_aData['team_title']=$data;
    }
    public function setDescription($data) {
        $this->_aData['team_description']=$data;
    }
    public function setDateAdd($data) {
        $this->_aData['team_data_add']=$data;
    }   
    public function setDateEdit($data) {
        $this->_aData['team_data_edit']=$data;
    } 
	public function setCountUser($data) {
        $this->_aData['team_count_user']=$data;
    }
    public function setUrl($data) {
        $this->_aData['team_url']=$data;
    }
    public function setAvatar($data) {
        $this->_aData['team_avatar']=$data;
    }
    
    public function setOwner($data) {
        $this->_aData['owner']=$data;
    }
    public function setUserIsAdministrator($data) {
        $this->_aData['user_is_administrator']=$data;
    }
    public function setUserIsModerator($data) {
        $this->_aData['user_is_moderator']=$data;
    }
    public function setUserIsJoin($data) {
        $this->_aData['user_is_join']=$data;
    }
}
?>