CREATE TABLE IF NOT EXISTS `igra_teams` (
  `team_id` int(11) unsigned NOT NULL auto_increment,
  `user_owner_id` int(11) unsigned NOT NULL,
  `team_title` varchar(200) character set utf8 NOT NULL,
  `team_description` text collate utf8_bin NOT NULL,
  `team_date_add` datetime NOT NULL,
  `team_date_edit` datetime default NULL,
  `team_count_user` int(11) unsigned NOT NULL default '0',
  `team_url` varchar(200) character set utf8 default NULL,
  `team_avatar` varchar(250) collate utf8_bin default NULL,
  PRIMARY KEY  (`team_id`),
  KEY `user_owner_id` (`user_owner_id`),
  KEY `team_url` (`team_url`),
  KEY `team_title` (`team_title`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=522 ;


CREATE TABLE IF NOT EXISTS `igra_team_user` (
  `team_id` int(11) unsigned NOT NULL,
  `user_id` int(11) unsigned NOT NULL,
  `user_role` int(3) default '1',
  UNIQUE KEY `team_id_user_id_uniq` (`team_id`,`user_id`),
  KEY `team_id` (`team_id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE `igra_teams`
  ADD CONSTRAINT `igra_team_fk` FOREIGN KEY (`user_owner_id`) REFERENCES `igra_user` (`user_id`) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE `igra_team_user`
  ADD CONSTRAINT `igra_team_user_fk` FOREIGN KEY (`team_id`) REFERENCES `igra_teams` (`team_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `igra_team_user_fk1` FOREIGN KEY (`user_id`) REFERENCES `igra_user` (`user_id`) ON DELETE CASCADE ON UPDATE CASCADE;
